#
# spec file for package jack (Version 0.100.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flac flac-devel flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libogg libogg-devel libpng libsndfile libsndfile-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline readline-devel resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           jack
BuildRequires:  alsa-devel doxygen flac-devel gcc-c++ libsndfile-devel pkgconfig readline-devel
%define cvs_version	cvs20030827
%define my_provides /tmp/my-provides
Summary:        Jack Audio Connection Kit
Version:        0.100.0
Release:        17.2
License:        GPL
Group:          System/Sound Daemons
# Source:       jack-%{cvs_version}.tar.bz2
Source:         jack-audio-connection-kit-%{version}.tar.bz2
Source10:       README.SuSE
Patch:          jack-ppc-fix.dif
Patch3:         jack-gcc4.diff
URL:            http://jackit.sourceforge.net
Provides:       jack-audio-connection-kit
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JACK is a low-latency audio server written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allow them to share audio between
themselves. Its clients can run in their own processes (as a normal
application), or they can run within a JACK server (as a plug-in).



Authors:
--------
    pbd@users.sourceforge.net

%debug_package
%package devel
Summary:        Development package for jack
Group:          System/Sound Daemons
Requires:       jack pkgconfig
Provides:       jack-audio-connection-kit-devel

%description devel
This package contains the files needed to compile programs that
communicates jack clients/servers.



Authors:
--------
    pbd@users.sourceforge.net

%prep
# %setup -n jack
%setup -n jack-audio-connection-kit-%{version}
%patch
%patch3
%{?suse_update_config:%{suse_update_config -f}}

%build
%define warn_flags -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
# autoreconf -fi
libtoolize -f
aclocal -I config
automake -a -c -f
autoconf
CFLAGS="$RPM_OPT_FLAGS %{warn_flags}"
export CFLAGS
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
     --enable-posix-shm \
     --disable-optimize \
     --enable-timestamps \
     --disable-ensure-mlock \
     --enable-resize \
     --with-html-dir=%{_docdir}/%{name}
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
cp AUTHORS COPYING* README* TODO $RPM_BUILD_ROOT%{_docdir}/%{name}
cp %{SOURCE10} $RPM_BUILD_ROOT%{_docdir}/%{name}
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v $RPM_BUILD_ROOT%{_libdir}/jack | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%post
%run_ldconfig

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}

%files
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING*
%doc %{_docdir}/%{name}/README*
%doc %{_docdir}/%{name}/TODO
%doc %{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/jack
%{_libdir}/jack/*.so

%files devel
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/reference
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/jack/*.*a
%{_libdir}/pkgconfig/*
%{_includedir}/jack

%changelog -n jack
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - tiwai@suse.de
- disable the arch optimization (#138070).
* Sun Nov 13 2005 - schwab@suse.de
- Fix use of atomic builtins.
* Wed Oct 12 2005 - tiwai@suse.de
- removed glib* from neededfobuild.
* Wed Oct 05 2005 - tiwai@suse.de
- added flac and flac-devel to neededforbuild (required by the new
  libsndfile).
* Tue Oct 04 2005 - tiwai@suse.de
- updated to version 0.100.0.
* Thu Mar 31 2005 - coolo@suse.de
- avoid ancient compiler options no longer supported by gcc4
* Thu Jan 27 2005 - tiwai@suse.de
- Fix README.SuSE, removed README.SuSE_de (bug #50106)
* Tue Nov 09 2004 - tiwai@suse.de
- updated to version 0.99.0.
- moved manpage to the main package (bug #47723).
* Thu Sep 23 2004 - tiwai@suse.de
- fixed segfault by signal.
- fixed segfault when no shm access is available.
- use different socket files for each pid (bug #45816).
* Thu Aug 12 2004 - ro@suse.de
- added libpng to neededforbuild (for doxygen)
* Fri Aug 06 2004 - adrian@suse.de
- revert linking of libjack against libreadline and libncurses.
  it was introduced due to a broken configure check and is only
  needed for one example binary
* Thu Aug 05 2004 - tiwai@suse.de
- updated to 0.98.1 with NPTL fixes.
- regenerated the last ppc patch for the newer version.
* Sun Mar 07 2004 - meissner@suse.de
- Do not use the strange exception handler construct on ppc/linux,
  it does not work on Linux and breaks ppc64.
* Mon Feb 16 2004 - tiwai@suse.de
- build as non-root.
* Wed Jan 14 2004 - tiwai@suse.de
- updated to version 0.94.0.
* Tue Nov 18 2003 - tiwai@suse.de
- updated to version 0.90.0.
* Thu Aug 28 2003 - tiwai@suse.de
- better fix (define explicitly the value) for the last one.
- fixed the remaining bug of half-duplex mode.
- fixed the build on s390.
* Thu Aug 28 2003 - tiwai@suse.de
- fixed the definition of UINT32_MAX for C++.
* Wed Aug 27 2003 - tiwai@suse.de
- use C99 style ints.
- fixed the transport bug.
- fixed the bug of alsa driver in half-duplex mode.
* Mon Aug 25 2003 - tiwai@suse.de
- updated to 0.79.0.
  patches have been integrated.
* Fri Aug 15 2003 - tiwai@suse.de
- fixed the occasional crash with ALSA plug layer.
- support asymmetric pcm streams.
* Mon Aug 11 2003 - tiwai@suse.de
- updated to version 0.75.0.
* Tue Jul 22 2003 - tiwai@suse.de
- updated to version 0.74.1.
* Wed Jul 02 2003 - tiwai@suse.de
- updated to version 0.72.4.
* Thu Jun 12 2003 - kukuk@suse.de
- Add docdir to filelist
* Wed May 28 2003 - ro@suse.de
- add man-pages and .la files to devel filelist
* Tue Apr 01 2003 - tiwai@suse.de
- updated to ver.0.66.3.
* Tue Mar 11 2003 - tiwai@suse.de
- added README.SuSE and README.SuSE_de to explain the real-time
  mode of jack.
* Thu Feb 13 2003 - pthomas@suse.de
- Compile with all usefull warn options.
- Fix all places where the compiler warns, including
  disabling ununsed static functions by '#if 0'.
* Mon Feb 10 2003 - tiwai@suse.de
- updated to version 0.50.0.
  all patches have been integrated to the mainstream.
* Fri Jan 17 2003 - tiwai@suse.de
- updated to ver.0.44.0.
- added *.la file to the devel package.
- removed double document files.
- removed plugins from provides.
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Thu Nov 28 2002 - aj@suse.de
- Add gcc-c++ to needforbuild since the package needs a C++ preprocessor.
* Tue Nov 26 2002 - tiwai@suse.de
- updated ver.0.40.1.
  libsndfile patch was removed.
- added %%run_ldconfig.
* Wed Aug 07 2002 - tiwai@suse.de
- jack ver.0.37.2.  including minor bug fixes for alsa.
* Wed Jun 26 2002 - tiwai@suse.de
- fixed an example client for the new libsndfile.
* Tue Jun 25 2002 - tiwai@suse.de
- updated to version 0.34.0.  (cvs 2002.06.25)
- added doxygen to neededtobuild to generate references.
* Tue Apr 16 2002 - tiwai@suse.de
- updated to version 0.26.1.
- fixed build on non-intel architectures again.
* Thu Apr 11 2002 - tiwai@suse.de
- fixed build on non-intel architectures.
- fixed compile warnings with gcc3.1.
* Wed Apr 10 2002 - tiwai@suse.de
- initial version: cvs at 2002.04.10.
